Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.executor.entities
Class RequestInfo

    java.lang.Object
      org.jbpm.executor.entities.RequestInfo

All Implemented Interfaces:
  Serializable

    @Entity
    public class RequestInfo

extends Object
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`RequestInfo()`

Method Summary
`boolean` | `equals(Object obj)`
`String` | `getCommandName()`
`List<ErrorInfo>` | `getErrorInfo()`
`int` | `getExecutions()`
`Long` | `getId()`
`String` | `getKey()`
`String` | `getMessage()`
`byte[]` | `getRequestData()`
`byte[]` | `getResponseData()`
`int` | `getRetries()`
`STATUS` | `getStatus()`
`Date` | `getTime()`
`int` | `hashCode()`
`void` | `setCommandName(String commandName)`
`void` | `setErrorInfo(List<ErrorInfo> errorInfo)`
`void` | `setExecutions(int executions)`
`void` | `setId(Long id)`
`void` | `setKey(String key)`
`void` | `setMessage(String message)`
`void` | `setRequestData(byte[] requestData)`
`void` | `setResponseData(byte[] responseData)`
`void` | `setRetries(int retries)`
`void` | `setStatus(STATUS status)`
`void` | `setTime(Date time)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RequestInfo

    public RequestInfo()

Method Detail

### getErrorInfo

    public List<ErrorInfo> getErrorInfo()

### setErrorInfo

    public void setErrorInfo(List<ErrorInfo> errorInfo)

### getId

    public Long getId()

### setId

    public void setId(Long id)

### getRetries

    public int getRetries()

### setRetries

    public void setRetries(int retries)

### getExecutions

    public int getExecutions()

### setExecutions

    public void setExecutions(int executions)

### getCommandName

    public String getCommandName()

### setCommandName

    public void setCommandName(String commandName)

### getKey

    public String getKey()

### setKey

    public void setKey(String key)

### getMessage

    public String getMessage()

### setMessage

    public void setMessage(String message)

### getStatus

    public STATUS getStatus()

### setStatus

    public void setStatus(STATUS status)

### getTime

    public Date getTime()

### setTime

    public void setTime(Date time)

### getRequestData

    public byte[] getRequestData()

### setRequestData

    public void setRequestData(byte[] requestData)

### getResponseData

    public byte[] getResponseData()

### setResponseData

    public void setResponseData(byte[] responseData)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.